# PSF-LoginServer - master - net.psforever.objects.serverobject.CommonMessages
PSF - LoginServer - master - net.psforever.objects.serverobject.CommonMessages
Keywords: PSF LoginServer master net.psforever.objects.serverobject.CommonMessages

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package affinity
  Definition Classes
    serverobject
-  package aura
  Definition Classes
    serverobject
-  package containable
  Definition Classes
    serverobject
-  package damage
  Definition Classes
    serverobject
-  package deploy
  Definition Classes
    serverobject
-  package doors
  Definition Classes
    serverobject
-  package environment
  Definition Classes
    serverobject
-  package generator
  Definition Classes
    serverobject
-  package hackable
  Definition Classes
    serverobject
-  package llu
  Definition Classes
    serverobject
-  package locks
  Definition Classes
    serverobject
-  package mblocker
  Definition Classes
    serverobject
-  package mount
  Definition Classes
    serverobject
-  package pad
  Definition Classes
    serverobject
-  package painbox
  Definition Classes
    serverobject
-  package repair
  Definition Classes
    serverobject
-  package resourcesilo
  Definition Classes
    serverobject
-  package shuttle
  Definition Classes
    serverobject
-  package structures
  Definition Classes
    serverobject
-  package terminals
  Definition Classes
    serverobject
-  package transfer
  Definition Classes
    serverobject
-  package tube
  Definition Classes
    serverobject
-  package turret
  Definition Classes
    serverobject
-  package zipline
  Definition Classes
    serverobject
- CommonMessages
- PlanetSideServerObject
- ServerObjectBuilder

o

net.psforever.objects.serverobject

# CommonMessages

###

#### object CommonMessages

Source
  CommonMessages.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CommonMessages
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  final case class ClearHack () extends Product with Serializable
2.  final case class Hack (player: Player, obj: PlanetSideServerObject with Hackable, data: Option[Any] = None) extends Product with Serializable
3.  final case class Progress (delta: Float, completionAction: () => Unit, tickAction: (Float) => Boolean) extends Product with Serializable

   The message that initializes a process - some form of user-driven activity with a certain eventual outcome and potential feedback per cycle.

   The message that initializes a process - some form of user-driven activity with a certain eventual outcome and potential feedback per cycle. The feedback is usually only known to the individual attempting the process.

   delta

     how much the progress value changes each tick, which will be treated as a percentage; must be a positive value

   completionAction

     a finalizing action performed once the progress reaches 100(%)

   tickAction

     an action that is performed for each increase of progress

4.  final case class Unuse (player: Player, data: Option[Any] = None) extends Product with Serializable
5.  final case class Use (player: Player, data: Option[Any] = None) extends Product with Serializable

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
16.  def toString(): String
    Definition Classes
      AnyRef → Any
17.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
18.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped